summaryrefslogtreecommitdiffstats
path: root/meta/recipes-qt/qt5/qtgraphicaleffects_git.bb
diff options
context:
space:
mode:
authorMartin Jansa <Martin.Jansa@gmail.com>2018-04-27 13:37:25 +0000
committerMartin Jansa <Martin.Jansa@gmail.com>2019-03-24 11:13:28 +0100
commit40f1b73c92731f4e18751d3a499f269c65c21a96 (patch)
tree734faeca0e9ccade77c66f04320bf50071ecbf6b /meta/recipes-qt/qt5/qtgraphicaleffects_git.bb
parente45f3d305e25ff2aef9e42697e583e6f69a9b6e6 (diff)
downloadopenembedded-core-contrib-jansa/pseudo.tar.gz
openembedded-core-contrib-jansa/pseudo.tar.bz2
openembedded-core-contrib-jansa/pseudo.zip
qt5: downgrade to 5.6jansa/pseudo
* webosose isn't compatible with newer Qt export COMP=qml-webos-framework; for i in `seq -w 1 999`; do echo $i; bitbake -v -v -DDDD -f -c compile ${COMP} 2>${COMP}-logerr.$i >${COMP}-log.$i; bitbake -v -v -DDDD -f -c package_qa ${COMP} 2>${COMP}-logerr.qa.$i >${COMP}-log.qa.$i || { cp -ra tmp-glibc/work/qemux86-oe-linux/${COMP}/ ${COMP}-workdir-$i; bitbake -c cleansstate ${COMP} ; } done in local.conf I have only this to reproduce the failures: PRSERV_HOST = "localhost:0" BB_NUMBER_THREADS = "8" PARALLEL_MAKE = "-j 32" DISTRO_FEATURES_append = " wayland opengl" ERROR_QA_append = " host-user-contaminated" Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
Diffstat (limited to 'meta/recipes-qt/qt5/qtgraphicaleffects_git.bb')
-rw-r--r--meta/recipes-qt/qt5/qtgraphicaleffects_git.bb19
1 files changed, 9 insertions, 10 deletions
diff --git a/meta/recipes-qt/qt5/qtgraphicaleffects_git.bb b/meta/recipes-qt/qt5/qtgraphicaleffects_git.bb
index 658420b522..861b9ac0cb 100644
--- a/meta/recipes-qt/qt5/qtgraphicaleffects_git.bb
+++ b/meta/recipes-qt/qt5/qtgraphicaleffects_git.bb
@@ -1,21 +1,20 @@
require qt5.inc
require qt5-git.inc
-LICENSE = "GFDL-1.3 & BSD & ( GPL-3.0 & The-Qt-Company-GPL-Exception-1.0 | The-Qt-Company-Commercial ) & ( GPL-2.0+ | LGPL-3.0 | The-Qt-Company-Commercial )"
+# There are no LGPLv3-only licensed files in this component.
+# There are no GPLv2 licensed files in this component.
+LICENSE = "GFDL-1.3 & BSD & (LGPL-2.1 & The-Qt-Company-Qt-LGPL-Exception-1.1 | LGPL-3.0)"
LIC_FILES_CHKSUM = " \
+ file://LICENSE.LGPLv21;md5=4bfd28363f541b10d9f024181b8df516 \
+ file://LICENSE.LGPLv3;md5=e0459b45c5c4840b353141a8bbed91f0 \
+ file://LICENSE.GPLv3;md5=88e2b9117e6be406b5ed6ee4ca99a705 \
+ file://LGPL_EXCEPTION.txt;md5=9625233da42f9e0ce9d63651a9d97654 \
file://LICENSE.FDL;md5=6d9f2a9af4c8b8c3c769f6cc1b6aaf7e \
- file://LICENSE.GPL2;md5=b234ee4d69f5fce4486a80fdaf4a4263 \
- file://LICENSE.GPL3;md5=d32239bcb673463ab874e80d47fae504 \
- file://LICENSE.GPL3-EXCEPT;md5=763d8c535a234d9a3fb682c7ecb6c073 \
- file://LICENSE.LGPL3;md5=e6a600fd5e1d9cbde2d983680233ad02 \
+ file://LICENSE.GPLv2;md5=c96076271561b0e3785dad260634eaa8 \
"
DEPENDS += "qtdeclarative"
RDEPENDS_${PN}-dev = ""
-# The same issue as in qtbase:
-# http://errors.yoctoproject.org/Errors/Build/44912/
-LDFLAGS_append_x86 = "${@bb.utils.contains('DISTRO_FEATURES', 'ld-is-gold', ' -fuse-ld=bfd ', '', d)}"
-
-SRCREV = "a38c4da7b598f5a185d7c9f824482d418353e6bf"
+SRCREV = "bf13dd5ca02d861c3a554743948c939a339d5061"